#include "vision.h"
#include <bits/stdc++.h>
using namespace std;
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef pair<int,int> pi;

vi getVisionPattern1d()
{
    return {1,2,1,1,2,2};
}

int getMove1d(vi v)
{
    int S = v[v.size()/2];
    if(S == 1) return (v[0] == 2 ? 0 : 2);
    if(v[1] == 1 && v[3] == 1) return (v[0] == 1 ? 0 : 4);
    if(v[0] == 1 && v[4] == 1) return (v[1] == 2 ? 1 : 3);
    return (v[0] == 2 ? 0 : 4);
}

vvi getVisionPattern2d()
{
    return {{1}};
}

pi getMove2d(vvi v)
{
    return {0, 0};
}
